#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0xc52b107a, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x877801c2, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xd1c53cbb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39a70489, "ocelot_mact_flush" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0x8ba1946f, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7526cbee, "ocelot_port_pre_bridge_flags" },
	{ 0x4d85d6a8, "ocelot_port_del_dscp_prio" },
	{ 0xaf3c6f96, "ocelot_mrp_del_ring_role" },
	{ 0x6456b018, "ocelot_sb_tc_pool_bind_set" },
	{ 0x87374c64, "dsa_fdb_present_in_other_db" },
	{ 0x81df3409, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1b530b2f, "dsa_mdb_present_in_other_db" },
	{ 0x38c34071, "ocelot_vcap_filter_add" },
	{ 0xe0c7ee31, "ocelot_sb_port_pool_get" },
	{ 0x3671b450, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xaaf7e19a, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0xcce6d35f, "ocelot_port_inject_frame" },
	{ 0xcb6c0708, "dev_err_probe" },
	{ 0xd71132ad, "ocelot_mrp_add" },
	{ 0xee2f9b72, "ocelot_sb_occ_port_pool_get" },
	{ 0xf44b3307, "ocelot_sb_pool_set" },
	{ 0x5d6e8335, "ocelot_lag_fdb_del" },
	{ 0xf87d8bb5, "ocelot_vcap_filter_del" },
	{ 0x534ba009, "ocelot_cls_flower_stats" },
	{ 0x1c0f95de, "ocelot_lock_inj_grp" },
	{ 0xc3430bec, "ocelot_lock_xtr_grp_bh" },
	{ 0x8c4eabba, "ocelot_sb_pool_get" },
	{ 0xf16ea81f, "ocelot_lock_xtr_grp" },
	{ 0x79593837, "ocelot_phylink_mac_link_up" },
	{ 0xbaa33c2d, "ocelot_deinit_port" },
	{ 0x66a641a7, "ocelot_can_inject" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0x68aaec2a, "ocelot_port_mirror_add" },
	{ 0x99658cdd, "ocelot_fdb_dump" },
	{ 0x1994b179, "ocelot_vlan_prepare" },
	{ 0x42a9370a, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x53c765bb, "ocelot_set_ageing_time" },
	{ 0x57a3eb61, "__ocelot_rmw_ix" },
	{ 0x55f57320, "devm_kmalloc" },
	{ 0xf84a9439, "ocelot_hwstamp_set" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x148324d7, "ocelot_port_policer_del" },
	{ 0x4f5f9fcd, "ocelot_port_lag_change" },
	{ 0xf31f75f5, "consume_skb" },
	{ 0x64f1a169, "ocelot_port_policer_add" },
	{ 0x3fad5466, "ocelot_port_mdb_add" },
	{ 0x47214b62, "ocelot_vlan_add" },
	{ 0x3149bdcd, "ocelot_sb_tc_pool_bind_get" },
	{ 0x439edbc6, "ocelot_port_bridge_flags" },
	{ 0x78dfec8f, "ocelot_devlink_sb_unregister" },
	{ 0x03e57355, "ocelot_port_bridge_leave" },
	{ 0x300f35d7, "ocelot_port_set_maxlen" },
	{ 0x231548fe, "ocelot_vcap_filter_replace" },
	{ 0xdda52199, "ocelot_get_max_mtu" },
	{ 0x74d6d8ef, "regmap_fields_update_bits_base" },
	{ 0xa8a5bae7, "ocelot_sb_occ_snapshot" },
	{ 0xf9a3ee62, "ocelot_get_ts_info" },
	{ 0xdb217122, "ocelot_sb_occ_max_clear" },
	{ 0xc2876545, "ocelot_port_get_mm" },
	{ 0xb591ef01, "ocelot_ptp_gettime64" },
	{ 0x6cbe09c8, "ocelot_unlock_inj_grp" },
	{ 0xff33e385, "ocelot_get_strings" },
	{ 0x6b82a0c0, "dsa_register_switch" },
	{ 0x037a0cba, "kfree" },
	{ 0xa72aaee4, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0xba7a9252, "ocelot_unlock_xtr_grp_bh" },
	{ 0xc32c5afc, "ocelot_port_add_dscp_prio" },
	{ 0xb8570e67, "ocelot_drain_cpu_queue" },
	{ 0x460fa0b9, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59655927, "__ocelot_read_ix" },
	{ 0xdecb0185, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xcde3a29c, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9fda130d, "ocelot_get_sset_count" },
	{ 0xbabdc0c8, "ocelot_migrate_mdbs" },
	{ 0x90601148, "ocelot_hwstamp_get" },
	{ 0xfe4ca494, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2f4aa642, "ocelot_port_bridge_join" },
	{ 0x74f13b1e, "ocelot_fdb_add" },
	{ 0x5663dac8, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x1044382d, "ocelot_xtr_poll_frame" },
	{ 0x135f8384, "ocelot_port_get_default_prio" },
	{ 0x08030657, "ptp_classify_raw" },
	{ 0xb29e8520, "ocelot_port_set_default_prio" },
	{ 0xe3744ef7, "dsa_tag_8021q_register" },
	{ 0xd8fc0047, "ocelot_port_get_mm_stats" },
	{ 0xaec6f773, "ocelot_deinit" },
	{ 0xd4e3a86b, "_dev_err" },
	{ 0x0c854a71, "ocelot_port_get_ts_stats" },
	{ 0x663e0b16, "ocelot_vlan_del" },
	{ 0x151cb64e, "sk_skb_reason_drop" },
	{ 0xea944dec, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f953875, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9832c9a9, "ocelot_cls_flower_destroy" },
	{ 0x79209b3f, "ocelot_port_vlan_filtering" },
	{ 0x8cc930a7, "ocelot_port_get_rmon_stats" },
	{ 0xdde375c9, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x454e9d6c, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xda786e0e, "ocelot_bridge_stp_state_set" },
	{ 0x37eb8ca6, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6e8be41, "netif_rx" },
	{ 0x2b8844a3, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xbb61bfaf, "ocelot_fdb_del" },
	{ 0xaefc1671, "ocelot_phylink_mac_link_down" },
	{ 0xacfa1cc1, "ocelot_port_lag_join" },
	{ 0xbffbdd09, "ocelot_port_get_eth_phy_stats" },
	{ 0xdbce0871, "ocelot_port_lag_leave" },
	{ 0x654faf29, "ocelot_mrp_add_ring_role" },
	{ 0x209d6785, "ocelot_port_set_mm" },
	{ 0x01d47cde, "ocelot_deinit_timestamp" },
	{ 0x55daf386, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf9a42a4d, "ocelot_port_get_stats64" },
	{ 0xea6589a6, "ocelot_port_get_dscp_prio" },
	{ 0x70f5beb1, "ocelot_port_mdb_del" },
	{ 0xe1d5afff, "ocelot_port_get_eth_mac_stats" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "3A7083E660CB741335C796F");
