#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0x5989057d, "");
SYMBOL_CRC(prestera_device_unregister, 0xc55a0a92, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x676eb4b1, "eth_type_trans" },
	{ 0x60019054, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x16246b0c, "dma_map_page_attrs" },
	{ 0xd8fe1449, "napi_complete_done" },
	{ 0xa2aeef95, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xe2078da5, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x17de14a6, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xfb99abae, "__alloc_skb" },
	{ 0x06050029, "switchdev_bridge_port_offload" },
	{ 0x87a09ba9, "flow_block_cb_incref" },
	{ 0x64fd659d, "flow_rule_match_ports_range" },
	{ 0xd69cfd17, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4afe87db, "free_fib_info" },
	{ 0x4d24e806, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9c19a36b, "vlan_dev_real_dev" },
	{ 0x9f38933d, "__dev_get_by_index" },
	{ 0x18eefa4e, "devlink_port_unregister" },
	{ 0xd4e3a86b, "_dev_err" },
	{ 0x973291e8, "init_net" },
	{ 0x0ed75933, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x151cb64e, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x0cb81e02, "flow_block_cb_decref" },
	{ 0x2b683a3a, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xe77f2f80, "napi_enable" },
	{ 0xfdcafc1e, "register_netdev" },
	{ 0xc61717ca, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdcb4d139, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb5f67d22, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xe8029d88, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0xb250fb68, "_dev_warn" },
	{ 0x727e33f3, "flow_rule_match_ports" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x323b9100, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x47cc7320, "devlink_trap_report" },
	{ 0xbec759bb, "__neigh_event_send" },
	{ 0xb1396f55, "flow_block_cb_alloc" },
	{ 0xec3dc686, "switchdev_handle_port_obj_add" },
	{ 0x63f68945, "fib_alias_hw_flags_set" },
	{ 0x4aa5d424, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0cfa76d, "phylink_pcs_change" },
	{ 0x44394535, "__neigh_create" },
	{ 0x8c2f1f1d, "netdev_walk_all_upper_dev_rcu" },
	{ 0xf01bf0f3, "pv_ops" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc1c98d47, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x180c2935, "alloc_netdev_dummy" },
	{ 0xc4ff53d8, "neigh_destroy" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x3d747c6d, "br_multicast_enabled" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdeee1db5, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe68ca3a1, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xbae25290, "netdev_master_upper_dev_get_rcu" },
	{ 0xce93b397, "devlink_traps_register" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0xf4412901, "__kmalloc_cache_noprof" },
	{ 0xc44b31e1, "netdev_master_upper_dev_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd42427cc, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5ced99ef, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x25ab5f09, "devlink_priv" },
	{ 0xa3aa135c, "devlink_port_register_with_ops" },
	{ 0xa8b476c4, "netif_carrier_on" },
	{ 0xf7026101, "netdev_has_any_upper_dev" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x08e2a029, "devlink_trap_groups_register" },
	{ 0xa2e4337d, "arp_tbl" },
	{ 0x75f2e0c4, "phylink_ethtool_ksettings_get" },
	{ 0x38482aec, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x352a07dd, "netdev_walk_all_lower_dev" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xbea71755, "napi_schedule_prep" },
	{ 0xb1c6c825, "__fib_lookup" },
	{ 0x587dff1e, "napi_disable" },
	{ 0xb2c080a6, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x9c646fc3, "devlink_trap_groups_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd7302ba8, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x6b76ca87, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x49d80b62, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x251876c7, "alloc_etherdev_mqs" },
	{ 0xcf7b2131, "netdev_lower_get_next" },
	{ 0xff1de65d, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc0994adb, "br_vlan_enabled" },
	{ 0x75cd4896, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x43860098, "devlink_unregister" },
	{ 0x73e0d808, "dma_pool_create" },
	{ 0x31dc5cce, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfa08b6dc, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa31662de, "register_fib_notifier" },
	{ 0x595e9c35, "l3mdev_fib_table_rcu" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc29daa75, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xcc94b3c2, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd8c7074f, "flow_rule_match_eth_addrs" },
	{ 0xda9c4691, "devlink_port_attrs_set" },
	{ 0xf483da71, "flow_block_cb_priv" },
	{ 0xb05c7989, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x55a759db, "devlink_alloc_ns" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8e8951c5, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x674913c2, "devlink_free" },
	{ 0x4b0f76d2, "netif_napi_add_weight_locked" },
	{ 0x32e8b051, "netdev_warn" },
	{ 0x9802d073, "flow_rule_match_ipv4_addrs" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xc827cfb3, "fib_table_lookup" },
	{ 0x2fea7ff7, "skb_pull_rcsum" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa0664e24, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8b33607e, "pskb_expand_head" },
	{ 0x3d19de8c, "switchdev_handle_port_attr_set" },
	{ 0x1248d381, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x914e8422, "dev_driver_string" },
	{ 0x15b7e3a9, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "CF18C2CF89A5BF32ED27FAA");
