#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xc14997b3, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x2c8083ff, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x52d2d9df, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x0a5fd047, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x65e17663, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xe4e506f5, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xc7dc6c42, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x9407c54b, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x5de699fe, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xa6abcf52, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x7806d3a2, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xb3fd9761, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50ff7a4f, "gro_cells_destroy" },
	{ 0x47076f7c, "dst_cache_destroy" },
	{ 0x3136495d, "dst_cache_init" },
	{ 0x0aa12a6d, "gro_cells_init" },
	{ 0xb627aae0, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x045dac51, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x973291e8, "init_net" },
	{ 0xfd26c4b5, "alloc_netdev_mqs" },
	{ 0xfdcafc1e, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xdcb4d139, "free_netdev" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x323b9100, "__pskb_pull_tail" },
	{ 0xcb166370, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x9a315225, "netdev_state_change" },
	{ 0xd4b1bb32, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a72f04, "make_kuid" },
	{ 0x71723c1b, "ip6_redirect" },
	{ 0xc3c5774c, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3d7ccffe, "ip6_route_output_flags" },
	{ 0x4cd7800f, "xfrm_lookup" },
	{ 0xbbc63a74, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x00c86f21, "skb_scrub_packet" },
	{ 0x50dddb31, "skb_realloc_headroom" },
	{ 0xe847efd6, "skb_set_owner_w" },
	{ 0xf31f75f5, "consume_skb" },
	{ 0xbb4063d7, "ipv6_push_frag_opts" },
	{ 0x2b683a3a, "skb_push" },
	{ 0x186a31b7, "ip6_local_out" },
	{ 0x7109fb05, "dst_cache_get" },
	{ 0x8e443272, "skb_copy_bits" },
	{ 0x49b0a6dc, "dst_cache_set_ip6" },
	{ 0x66865f22, "ipv6_dev_get_saddr" },
	{ 0x46ba8886, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1e559ca3, "__preempt_count" },
	{ 0x9668fb67, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2c084c1e, "ipv4_mtu" },
	{ 0xc4ff53d8, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x418a61a3, "iptunnel_handle_offloads" },
	{ 0xbf9db96d, "icmpv6_ndo_send" },
	{ 0x151cb64e, "sk_skb_reason_drop" },
	{ 0x264854aa, "icmp_ndo_send" },
	{ 0x25b3421f, "skb_clone" },
	{ 0x0ed75933, "skb_pull" },
	{ 0x38a532b0, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x73128bb8, "gro_cells_receive" },
	{ 0x676eb4b1, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x51203173, "__iptunnel_pull_header" },
	{ 0x481110ec, "metadata_dst_alloc" },
	{ 0x0937816d, "__xfrm_policy_check" },
	{ 0xf677caf6, "__skb_ext_del" },
	{ 0x379095ee, "ip_route_output_flow" },
	{ 0xd05f8a2f, "ip_route_input_noref" },
	{ 0xa122d0fc, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x79a04da4, "dev_get_tstats64" },
	{ 0xf23d028d, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e42b335, "ip6tun_encaps" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x732dc8b7, "ipv6_chk_addr_and_flags" },
	{ 0x051ad3d2, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x48742bcb, "register_pernet_device" },
	{ 0x66dc25b9, "xfrm6_tunnel_register" },
	{ 0x68a139ed, "rtnl_link_register" },
	{ 0x4854b0a6, "xfrm6_tunnel_deregister" },
	{ 0x622b809d, "unregister_pernet_device" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7f6800ef, "unregister_netdevice_queue" },
	{ 0x15b7e3a9, "dev_addr_mod" },
	{ 0x3dc1e22e, "rt6_lookup" },
	{ 0x9d37901f, "dst_release" },
	{ 0x9f38933d, "__dev_get_by_index" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "4FB717F7F122240BA338BBA");
