#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0x265431a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfb578fc5, "memset" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xfb99abae, "__alloc_skb" },
	{ 0x8448098f, "__nlmsg_put" },
	{ 0x328d8146, "netlink_unicast" },
	{ 0x8193659b, "xfrm_sad_getinfo" },
	{ 0x151d8b2d, "skb_trim" },
	{ 0x9f09811f, "xfrm_spd_getinfo" },
	{ 0xd3b7409c, "xfrm_state_alloc" },
	{ 0x0049ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x278f2ceb, "__xfrm_init_state" },
	{ 0x98c89ade, "security_xfrm_state_alloc" },
	{ 0xd35d8832, "xfrm_init_replay" },
	{ 0x597ec47b, "xfrm_dev_state_add" },
	{ 0x85e15304, "xfrm_state_update" },
	{ 0xb763086f, "xfrm_audit_state_add" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3ae05d02, "__xfrm_state_destroy" },
	{ 0xd20bdd53, "xfrm_state_add" },
	{ 0xbf777f1a, "xfrm_dev_state_delete" },
	{ 0x1e361691, "netlink_broadcast_filtered" },
	{ 0x973291e8, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x73572e01, "__fib6_flush_trees" },
	{ 0xb7ef9d2d, "xfrm_state_lookup_byaddr" },
	{ 0x053d1bcf, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xb3869430, "xfrm_state_delete" },
	{ 0xa97196de, "xfrm_audit_state_delete" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa174c26c, "km_state_expired" },
	{ 0x3deadb1b, "__xfrm_state_delete" },
	{ 0xe0b9065b, "security_xfrm_policy_alloc" },
	{ 0x8df4566e, "xfrm_policy_bysel_ctx" },
	{ 0x6455298a, "security_xfrm_policy_free" },
	{ 0x3411f957, "km_policy_expired" },
	{ 0xbacde10f, "xfrm_policy_byid" },
	{ 0x9b474abe, "xfrm_policy_destroy" },
	{ 0x2a188255, "xfrm_policy_delete" },
	{ 0xc7304e66, "xfrm_audit_policy_delete" },
	{ 0x4e5d1774, "xfrm_dev_policy_add" },
	{ 0x70dcc8cc, "xfrm_policy_insert" },
	{ 0x44987e1d, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0x805d7fc0, "xfrm_find_acq_byseq" },
	{ 0x38382787, "xfrm_find_acq" },
	{ 0x74584803, "xfrm_alloc_spi" },
	{ 0x6fc54099, "xfrm_state_free" },
	{ 0x80447817, "km_query" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4ca180cc, "register_pernet_subsys" },
	{ 0x82c64be0, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf3e63438, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa903455a, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3278e063, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x98fa993f, "xfrm_policy_hash_rebuild" },
	{ 0xa96180ea, "xfrm_state_flush" },
	{ 0x8bf7f3fe, "km_state_notify" },
	{ 0x831f844c, "xfrm_policy_walk_done" },
	{ 0x28cf14db, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xc72622d4, "xfrm_state_walk_done" },
	{ 0x6a62f39b, "__netlink_kernel_create" },
	{ 0x8092d435, "xfrm_unregister_km" },
	{ 0x66fe2b9a, "unregister_pernet_subsys" },
	{ 0xc1f92539, "netlink_net_capable" },
	{ 0x8fb5d6e2, "const_current_task" },
	{ 0x66c67a3e, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8fb86a8a, "xfrm_get_translator" },
	{ 0x8991384a, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x151cb64e, "sk_skb_reason_drop" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x3687bb24, "xfrm_state_walk" },
	{ 0x037a0cba, "kfree" },
	{ 0x882d6ad4, "xfrm_policy_alloc" },
	{ 0xa770dd88, "xfrm_policy_flush" },
	{ 0x350d6bcd, "km_policy_notify" },
	{ 0x20d8cfd5, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0xfdf7a3f9, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "281960BF8820FD445A56219");
